@import url("reset_css.css");
@import url('https://fonts.googleapis.com/css2?family=Ubuntu:wght@400;700&display=swap');


body {
    font-family: "Ubuntu", sans-serif;
    background: url(./img/background.png) center/cover no-repeat;
    width: 100vw;
    height: 100vh;
    /* фон на увесь екран */
}

.header {
    margin: 0 auto;
    background: rgba(0, 0, 0, 0.40);
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
}

/* контейнер для шапки сайту */
.container {
    max-width: 1206px;
    margin: 0 auto;
    font-family: "Roboto", sans-serif;
    color: #FFFFFF;
}

.header__flex {
    display: flex;
    justify-content: space-between;
    padding: 18px 10px 18px 10px;
}

.header__logo {
    color: #FFF;
    text-transform: uppercase;
    font-size: 22px;
    font-family: Ubuntu;
    font-weight: 700;
    line-height: 25px;
}

/* загальний флекс для контенту шапки сайту */
.header__wrapper {
    display: flex;
    justify-content: space-between;
}

.header__icon {
    margin-right: 26px;
}

/* розмежувач між іконками та посиланнями авторизації у хедері */
.header__icons-wrapper::after {
    content: "";
    display: inline-block;
    width: 1px;
    height: 19px;
    opacity: 0.5;
    background: rgba(255, 255, 255, 0.90);
}

.header__actions-wrapper {
    display: flex;
    align-items: center;
    gap: 5px;
    padding-left: 26px;
}

/* секція з формою */
.form__screen {
    margin: 0 auto;
}

/* центрування форми на екрані стилями для зовнішньої оболонки форми */
.form__shell {
    position: absolute;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    width: 444px;
    margin: 0 auto;
    padding: 31px 0 38px 0;
    background: #FFF;
    box-shadow: 0px 4px 18px 0px rgba(0, 0, 0, 0.52);
}

/* внутрішній контейнер для контенту форми */
.form__content-container {
    max-width: 324px;
    margin: 0 auto;
}

.form__heading-wrapper {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    margin-bottom: 13px;
}

.form__sign-up_title {
    text-align: left;
    color: #434343;
    font-size: 20px;
    font-family: Ubuntu;
    line-height: 20px;
}

/* "зелений квадрат" на лівому краю форми */
.form__sign-up_title::before {
    content: "";
    background: #3CB878;
    width: 18px;
    height: 18px;
    position: absolute;
    top: 29px;
    left: 0;
}

.form__log-in-link {
    color: #3CB878;
    font-size: 14px;
    font-family: Ubuntu;
    line-height: 14px;
}


.form__socials {
    display: grid;
    grid-template: 48px / 1fr 1fr;
    justify-content: center;
    gap: 4px;
    margin-bottom: 30px;
}

/* загальні стилі для "кнопок" логіна через соцмережі */
.social-button {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 12px 24px 12px 12px;
    color: #FFF;
    font-size: 16px;
    font-family: Ubuntu;
    line-height: 18px;
}

.form__facebook {
    background: #305DB8;
}

.form__google {
    background: #DF4A32;
}

/* розмежувач між лого та текстом соцмережі */
.social-btn-text::before {
    content: "";
    position: absolute;
    top: 20.83%;
    left: 31.25%;
    width: 1px;
    height: 58.33%;
    opacity: 0.10000000149011612;
    background: #0A162F;
}


.or-wrapper {
    position: relative;
    display: flex;
    justify-content: center;
    align-content: center;
    align-items: center;
    margin-bottom: 7px;
}

.or {
    color: #848484;
    font-size: 14px;
    font-family: Ubuntu;
    line-height: 14px;
}

/* горизонтальні лінії по довжині форми з обох боків "or" */
.or::before, .or::after {
    position: absolute;
    top: 50%;
    content: "";
    display: inline-block;
    padding-top: 2px;
    width: 152px;
    height: 1px;
    background: #F2F2F2;
}

.or::before {
    left: 0;
}

.or::after {
    right: 0;
}


.form__input-fields-wrapper {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.form__input-text-field {
    padding: 15px 0 15px 19px;
    color: #434343;
    font-size: 14px;
    font-family: Ubuntu;
    line-height: 14px;
    border-radius: 4px;
    border: 1px solid #F2F2F2;
    transition: 0.1s;
    outline: none;
}

.checkbox-label:hover, .form__input-text-field:hover {
    cursor: pointer;
}

.form__input-text-field:active, .form__input-text-field:focus {
    background: #FFF;
    box-shadow: 0px 4px 18px 0px rgba(0, 0, 0, 0.52);
    transition: 0.1s;
}

/* стилі для прихованих лейблів полів вводу та input чекбокса */
.visibility_hidden {
    visibility: hidden;
    position: absolute;
    z-index: -1px;
    width: 0;
    height: 0;
}

.form__checkbox-span {
    color: #434343;
    font-size: 14px;
    font-family: Ubuntu;
    line-height: 14px;
}

.terms_conditions_link {
    color: #3CB878;
}

/* стилізоване поле чекбокса замість прихованого input type:"checkbox" */
.form__checkbox-span::before {
    content: "";
    display: inline-block;
    margin-right: 8px;
    width: 20px;
    height: 20px;
    border: 1px solid #F2F2F2;
    background: rgba(0, 0, 0, 0.00);
    vertical-align: middle;
    cursor: pointer;
}

/* реалізація відображення зеленої "галочки" при виборі чекбокса */
.checkbox-label input:checked + .form__checkbox-span::before {
    content: url(./img/Checked.png);
}

button {
    padding: 16px 0 16px 0;
    border-radius: 4px;
    background: #01813F;
    color: #FFF;
    font-size: 16px;
    font-family: Ubuntu;
    line-height: 16px;
}

a {
    transition: 0.3s ease;
}

/* виділення кольором усіх посилань окрім тих, що у кнопках соцмереж */
a:hover:not(.form__socials a) {
    color: #01813F;
    transition: 0.3s ease;
}

/* зміна кольорі іконок svg при наведенні */
.header__icon:hover .header__icon-svg path{
    fill: #01813F;
    transition: 0.3s ease;
}